typo3.org and community tools - Major Feature # 54290

Status: Accepted Priority: Should have

Author: Thomas Loffler Category: [FOR] TER

Created: 2013-12-09 Assigned To: Philipp Gampe

Updated: 2014-04-10 Due date:

Subiject: Distributions

Description

Subtasks:

Task # 54422: Preserve the distribution category in importing an extension Closed
Task # 54423: Adopt solr TER search facete for distribution Closed
Feature # 54426: Render Preview Images Accepted
Feature # 54439: Extract Preview Images from extension upload Closed
History

#1 - 2013-12-09 13:08 - Steffen Ritter

The new EM in 6.2 following knows about the Extension category "distributions”.
It will show distributions in a special way as they are the new way of dealing with introduction packages.

Everyone should be allowed to upload distributions to the TER. The EM will only show distributions from typo3v4 user (this is configurable).

Distributions pre-6.2 do not make sense. if it is easy, there should be an according requirement check.

#2 - 2013-12-09 14:06 - Thomas Loéffler

- Category set to [FOR] TER

- Target version set to TER Code Sprint 2013

#3 - 2013-12-09 16:40 - Thomas Loffler
- Status changed from New to Accepted

#4 - 2013-12-09 20:55 - Kay Strobach

why not having 2 areas - official distributions and other, otherwise many distributions will be hidden by default :(

#5 - 2013-12-14 18:16 - Thomas Loffler

- Assigned To set to Philipp Gampe

#6 - 2013-12-14 20:36 - Steffen Ritter

http://wiki.typo3.org/Blueprints/DistributionManagement

"For your own distributions you should provide a preview image in Resources/Public/Images/Distribution.png and a bigger welcome image in
Resources/Public/Images/DistributionWelcome.png."

#7 - 2014-01-21 13:23 - Christian Zenker
- Target version deleted (TER Code Sprint 2013)
